/*****************************************************************************
 *
 * This program is free software ; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 * $Id: interface.h 615 2006-01-26 16:57:51Z picard $
 *
 * The Core Pocket Media Player
 * Copyright (c) 2004-2005 Gabor Kovacs
 *
 ****************************************************************************/

#ifndef __INTERFACE_H
#define __INTERFACE_H

void Interface_Init();
void Interface_Done();

#define MAXCMD							1024

#define MSG_INIT						WM_APP + 0x201
#define MSG_PLAYER						WM_APP + 0x202
#define MSG_ERROR						WM_APP + 0x203

#define IF_ALL_TYPES					0x0CA
#define IF_VIEW							0x0DF
#define IF_CONTROL						0x0F2
#define IF_HELP							0x0FC
#define IF_OPTIONS						0x0DD
#define IF_OPTIONS_SPEED				0x0CD
#define IF_OPTIONS_REPEAT			    0x132
#define IF_OPTIONS_REPEATTRACK		    0x135
#define IF_OPTIONS_SHUFFLE			    0x133
#define	IF_OPTIONS_ZOOM					0x0CF
#define IF_OPTIONS_ZOOM_FIT_SCREEN		0x138
#define IF_OPTIONS_ZOOM_FIT_110			0x234
#define IF_OPTIONS_ZOOM_FIT_120			0x235
#define IF_OPTIONS_ZOOM_FIT_130			0x236
#define IF_OPTIONS_ZOOM_FIT_140			0x237
#define IF_OPTIONS_ZOOM_STRETCH_SCREEN	0x24A
#define IF_OPTIONS_ZOOM_FILL_SCREEN		0x24B
#define IF_OPTIONS_ZOOM_50				0x139
#define IF_OPTIONS_ZOOM_100				0x13A
#define IF_OPTIONS_ZOOM_150				0x18E
#define IF_OPTIONS_ZOOM_200				0x13B
#define IF_OPTIONS_VIDEO				0x0D2
#define IF_OPTIONS_VIDEO_DITHER         0x134
#define IF_OPTIONS_VIDEO_ZOOM_SMOOTH50	0x13C
#define IF_OPTIONS_VIDEO_ZOOM_SMOOTHALWAYS 0x22A
#define IF_OPTIONS_AUDIO				0x0D3
#define IF_OPTIONS_AUDIO_QUALITY_LOW    0x144
#define IF_OPTIONS_AUDIO_QUALITY_MEDIUM 0x145
#define IF_OPTIONS_AUDIO_QUALITY_HIGH   0x146
#define IF_OPTIONS_SPEED_10	            0x0DE
#define IF_OPTIONS_SPEED_25             0x14D
#define IF_OPTIONS_SPEED_50             0x14E
#define IF_OPTIONS_SPEED_80             0x230
#define IF_OPTIONS_SPEED_90             0x231
#define IF_OPTIONS_SPEED_100            0x14F
#define IF_OPTIONS_SPEED_110            0x232
#define IF_OPTIONS_SPEED_120            0x233
#define IF_OPTIONS_SPEED_150            0x0CE
#define IF_OPTIONS_SPEED_200            0x154
#define IF_OPTIONS_SPEED_300            0x155
#define IF_OPTIONS_SPEED_BENCHMARK      0x156
#define IF_OPTIONS_VIDEO_TURNOFF        0x157
#define IF_OPTIONS_AUDIO_TURNOFF        0x158
#define IF_OPTIONS_FULLSCREEN           0x17F
#define IF_OPTIONS_MUTE                 0x180
#define IF_OPTIONS_SETTINGS             0x177
#define IF_OPTIONS_ORIENTATION			0x0D0
#define IF_OPTIONS_ORIENTATION_FULLSCREEN 0x0D1
#define IF_OPTIONS_ROTATE_GUI           0x247
#define IF_OPTIONS_ROTATE_0             0x188
#define IF_OPTIONS_ROTATE_90            0x185
#define IF_OPTIONS_ROTATE_180           0x186
#define IF_OPTIONS_ROTATE_270           0x189
#define IF_OPTIONS_ROTATE				0x0F0
#define IF_OPTIONS_VIDEO_DEVICE         0x18B
#define IF_OPTIONS_VIDEO_ACCEL          0x0E7
#define IF_OPTIONS_AUDIO_DEVICE         0x18C
#define IF_OPTIONS_AUDIO_QUALITY        0x18D
#define IF_OPTIONS_VOLUME_UP			0x0F3
#define IF_OPTIONS_VOLUME_DOWN			0x0F4
#define IF_OPTIONS_VOLUME_UP_FINE		0x22B
#define IF_OPTIONS_VOLUME_DOWN_FINE		0x22C
#define IF_OPTIONS_BRIGHTNESS_UP		0x0F5
#define IF_OPTIONS_BRIGHTNESS_DOWN		0x0F6
#define IF_OPTIONS_CONTRAST_UP			0x0F7
#define IF_OPTIONS_CONTRAST_DOWN		0x0F8
#define IF_OPTIONS_SATURATION_UP		0x102
#define IF_OPTIONS_SATURATION_DOWN		0x101
#define IF_OPTIONS_SCREEN				0x0F9
#define IF_OPTIONS_EQUALIZER			0x122
#define IF_OPTIONS_VIDEO_STREAM			0x201
#define IF_OPTIONS_VIDEO_STREAM_NONE	0x221
#define IF_OPTIONS_AUDIO_STREAM			0x202
#define IF_OPTIONS_AUDIO_STREAM_NONE	0x222
#define IF_OPTIONS_AUDIO_CHANNELS		0x216
#define IF_OPTIONS_AUDIO_STEREO			0x203
#define IF_OPTIONS_AUDIO_STEREO_SWAPPED 0x140
#define IF_OPTIONS_AUDIO_STEREO_JOINED  0x248
#define IF_OPTIONS_AUDIO_STEREO_LEFT	0x204
#define IF_OPTIONS_AUDIO_STEREO_RIGHT	0x205
#define IF_OPTIONS_VIEW					0x20E
#define IF_OPTIONS_VIEW_TITLEBAR		0x240
#define IF_OPTIONS_VIEW_TRACKBAR		0x241
#define IF_OPTIONS_VIEW_TASKBAR			0x242
#define IF_OPTIONS_VIEW_BUTTONBAR		0x249
#define IF_OPTIONS_VIEW_MENUBAR			0x25A
#define IF_OPTIONS_VIEW_WINTITLE		0x25B
#define IF_OPTIONS_WINDOW_TOPMOST 		0x25C
#define IF_OPTIONS_ASPECT				0x20F
#define IF_OPTIONS_ASPECT_SQUARE		0x210
#define IF_OPTIONS_ASPECT_4_3_PAL		0x211
#define IF_OPTIONS_ASPECT_4_3_NTSC		0x212
#define IF_OPTIONS_ASPECT_16_9_PAL		0x213
#define IF_OPTIONS_ASPECT_16_9_NTSC		0x214
#define IF_OPTIONS_ASPECT_4_3_SCREEN	0x238
#define IF_OPTIONS_ASPECT_16_9_SCREEN	0x239
#define IF_OPTIONS_ASPECT_AUTO			0x215
#define IF_OPTIONS_ZOOM_FIT				0x224
#define IF_OPTIONS_ZOOM_IN				0x225
#define IF_OPTIONS_ZOOM_OUT				0x226
#define IF_OPTIONS_TOGGLE_VIDEO			0x227
#define IF_OPTIONS_TOGGLE_AUDIO			0x228
#define IF_OPTIONS_TOGGLE_SUBTITLE		0x229
#define IF_OPTIONS_SUBTITLE_STREAM		0x243
#define IF_OPTIONS_SUBTITLE_STREAM_NONE	0x244
#define IF_OPTIONS_SUBTITLE_DEFAULT		0x245
#define IF_OPTIONS_VIDEO_QUALITY        0x250
#define IF_OPTIONS_VIDEO_QUALITY_LOWEST 0x251
#define IF_OPTIONS_VIDEO_QUALITY_LOW    0x252
#define IF_OPTIONS_VIDEO_QUALITY_NORMAL 0x253
#define IF_OPTIONS_AUDIO_PREAMP_DEC	    0x254
#define IF_OPTIONS_AUDIO_PREAMP			0x255
#define IF_OPTIONS_AUDIO_PREAMP_INC		0x256
#define IF_OPTIONS_SKIN					0x260
#define IF_OPTIONS_AUDIO_STEREO_TOGGLE	0x261

#define IF_OPTIONS_PRIORITY				0x311
#define IF_OPTIONS_PRIORITY_HIGH		0x312
#define IF_OPTIONS_PRIORITY_AVOBENORMAL	0x313
#define IF_OPTIONS_PRIORITY_NORMAL		0x314
#define IF_OPTIONS_PRIORITY_BELOWNORMAL	0x315
#define IF_OPTIONS_PRIORITY_IDLE		0x316

#define IF_OPTIONS_MOUSE				0x320

#define IF_OPTIONS_WHEEL_N				0x330
#define IF_OPTIONS_WHEEL_S				0x340
#define IF_OPTIONS_WHEEL_C				0x350

#define IF_OPTIONS_WHEEL_NONE			0x001
#define IF_OPTIONS_WHEEL_VOL			0x002
#define IF_OPTIONS_WHEEL_SEEK			0x003
#define IF_OPTIONS_WHEEL_ZOOM			0x004
#define IF_OPTIONS_WHEEL_BRIGHTNESS		0x005
#define IF_OPTIONS_WHEEL_CONTRAST		0x006
#define IF_OPTIONS_WHEEL_SATURATION		0x007

#define IF_OPTIONS_WHEEL_N_NONE			IF_OPTIONS_WHEEL_N + IF_OPTIONS_WHEEL_NONE
#define IF_OPTIONS_WHEEL_S_NONE			IF_OPTIONS_WHEEL_S + IF_OPTIONS_WHEEL_NONE
#define IF_OPTIONS_WHEEL_C_NONE			IF_OPTIONS_WHEEL_C + IF_OPTIONS_WHEEL_NONE
#define IF_OPTIONS_WHEEL_N_VOL			IF_OPTIONS_WHEEL_N + IF_OPTIONS_WHEEL_VOL
#define IF_OPTIONS_WHEEL_S_VOL			IF_OPTIONS_WHEEL_S + IF_OPTIONS_WHEEL_VOL
#define IF_OPTIONS_WHEEL_C_VOL			IF_OPTIONS_WHEEL_C + IF_OPTIONS_WHEEL_VOL
#define IF_OPTIONS_WHEEL_N_SEEK			IF_OPTIONS_WHEEL_N + IF_OPTIONS_WHEEL_SEEK
#define IF_OPTIONS_WHEEL_S_SEEK			IF_OPTIONS_WHEEL_S + IF_OPTIONS_WHEEL_SEEK
#define IF_OPTIONS_WHEEL_C_SEEK			IF_OPTIONS_WHEEL_C + IF_OPTIONS_WHEEL_SEEK
#define IF_OPTIONS_WHEEL_N_ZOOM			IF_OPTIONS_WHEEL_N + IF_OPTIONS_WHEEL_ZOOM
#define IF_OPTIONS_WHEEL_S_ZOOM			IF_OPTIONS_WHEEL_S + IF_OPTIONS_WHEEL_ZOOM
#define IF_OPTIONS_WHEEL_C_ZOOM			IF_OPTIONS_WHEEL_C + IF_OPTIONS_WHEEL_ZOOM
#define IF_OPTIONS_WHEEL_N_BRIGHTNESS	IF_OPTIONS_WHEEL_N + IF_OPTIONS_WHEEL_BRIGHTNESS
#define IF_OPTIONS_WHEEL_S_BRIGHTNESS	IF_OPTIONS_WHEEL_S + IF_OPTIONS_WHEEL_BRIGHTNESS
#define IF_OPTIONS_WHEEL_C_BRIGHTNESS	IF_OPTIONS_WHEEL_C + IF_OPTIONS_WHEEL_BRIGHTNESS
#define IF_OPTIONS_WHEEL_N_CONTRAST		IF_OPTIONS_WHEEL_N + IF_OPTIONS_WHEEL_CONTRAST
#define IF_OPTIONS_WHEEL_S_CONTRAST		IF_OPTIONS_WHEEL_S + IF_OPTIONS_WHEEL_CONTRAST
#define IF_OPTIONS_WHEEL_C_CONTRAST		IF_OPTIONS_WHEEL_C + IF_OPTIONS_WHEEL_CONTRAST
#define IF_OPTIONS_WHEEL_N_SATURATION	IF_OPTIONS_WHEEL_N + IF_OPTIONS_WHEEL_SATURATION
#define IF_OPTIONS_WHEEL_S_SATURATION	IF_OPTIONS_WHEEL_S + IF_OPTIONS_WHEEL_SATURATION
#define IF_OPTIONS_WHEEL_C_SATURATION	IF_OPTIONS_WHEEL_C + IF_OPTIONS_WHEEL_SATURATION

#define IF_OPTIONS_MOUSE_M				0x360
#define IF_OPTIONS_MOUSE_X1				0x370
#define IF_OPTIONS_MOUSE_X2				0x380

#define IF_OPTIONS_MOUSE_NONE			0x001
#define IF_OPTIONS_MOUSE_PLAY			0x002
#define IF_OPTIONS_MOUSE_MAXWIN			0x003
#define IF_OPTIONS_MOUSE_MINWIN			0x004
#define IF_OPTIONS_MOUSE_PLAYLIST		0x005

#define IF_OPTIONS_MOUSE_M_NONE			IF_OPTIONS_MOUSE_M  + IF_OPTIONS_MOUSE_NONE
#define IF_OPTIONS_MOUSE_X1_NONE		IF_OPTIONS_MOUSE_X1 + IF_OPTIONS_MOUSE_NONE
#define IF_OPTIONS_MOUSE_X2_NONE		IF_OPTIONS_MOUSE_X2 + IF_OPTIONS_MOUSE_NONE
#define IF_OPTIONS_MOUSE_M_PLAY			IF_OPTIONS_MOUSE_M  + IF_OPTIONS_MOUSE_PLAY
#define IF_OPTIONS_MOUSE_X1_PLAY		IF_OPTIONS_MOUSE_X1 + IF_OPTIONS_MOUSE_PLAY
#define IF_OPTIONS_MOUSE_X2_PLAY		IF_OPTIONS_MOUSE_X2 + IF_OPTIONS_MOUSE_PLAY
#define IF_OPTIONS_MOUSE_M_MAXWIN		IF_OPTIONS_MOUSE_M  + IF_OPTIONS_MOUSE_MAXWIN
#define IF_OPTIONS_MOUSE_X1_MAXWIN		IF_OPTIONS_MOUSE_X1 + IF_OPTIONS_MOUSE_MAXWIN
#define IF_OPTIONS_MOUSE_X2_MAXWIN		IF_OPTIONS_MOUSE_X2 + IF_OPTIONS_MOUSE_MAXWIN
#define IF_OPTIONS_MOUSE_M_MINWIN		IF_OPTIONS_MOUSE_M  + IF_OPTIONS_MOUSE_MINWIN
#define IF_OPTIONS_MOUSE_X1_MINWIN		IF_OPTIONS_MOUSE_X1 + IF_OPTIONS_MOUSE_MINWIN
#define IF_OPTIONS_MOUSE_X2_MINWIN		IF_OPTIONS_MOUSE_X2 + IF_OPTIONS_MOUSE_MINWIN
#define IF_OPTIONS_MOUSE_M_PLAYLIST		IF_OPTIONS_MOUSE_M  + IF_OPTIONS_MOUSE_PLAYLIST
#define IF_OPTIONS_MOUSE_X1_PLAYLIST	IF_OPTIONS_MOUSE_X1 + IF_OPTIONS_MOUSE_PLAYLIST
#define IF_OPTIONS_MOUSE_X2_PLAYLIST	IF_OPTIONS_MOUSE_X2 + IF_OPTIONS_MOUSE_PLAYLIST


#define IF_OPTIONS_SUBTITLE_SEARLIER	0x31A
#define IF_OPTIONS_SUBTITLE_SNORMAL		0x31B
#define IF_OPTIONS_SUBTITLE_SLATER		0x31C
#define IF_OPTIONS_SUBTITLE_PREV		0x31D
//#define IF_OPTIONS_SUBTITLE_NEXT		0x31E
//#define IF_OPTIONS_SUBTITLE_RENABLE	0x31F


#define IF_FILE							0x0DC
#define IF_FILE_OPENFILE                0x181
#define IF_FILE_PLAYLIST                0x17E
#define IF_FILE_CORETHEQUE              0x280
#define IF_FILE_MEDIAINFO               0x14A
#define IF_FILE_ABOUT                   0x14B
#define IF_FILE_BENCHMARK               0x0E6
#define IF_FILE_EXIT                    0x14C
#define IF_FILE_CHAPTERS				0x200
#define IF_FILE_CHAPTERS_NONE			0x223

#define IF_PLAY                         0x172
#define IF_PLAYPAUSE                    0x246
#define IF_PLAY_FULLSCREEN				0x0F1
#define IF_STOP                         0x174
#define IF_MOVE_FFWD					0x0FA
#define IF_MOVE_BACK					0x0FB
#define IF_NEXT                         0x17A
#define IF_NEXT2                        0x190
#define IF_PREV                         0x17B
#define IF_PREV_SMART                   0x183
#define IF_PREV_SMART2                  0x191
#define IF_FASTFORWARD                  0x182

#define IF_TITLEBAR						0x300
#define IF_TRACKBAR						0x301
#define IF_TASKBAR						0x302
#define IF_BUTTONBAR					0x303
#define IF_MENUBAR						0x304
#define IF_WINTITLE						0x305

#define IF_TOPMOST						0x310

#define IF_WINSAVESHOW					0x320
#define IF_WINSAVELEFT					0x321
#define IF_WINSAVETOP					0x322
#define IF_WINSAVEWIDTH					0x323
#define IF_WINSAVEHEIGHT				0x324

#define IF_WHEEL_N						0x330
#define IF_WHEEL_S						0x331
#define IF_WHEEL_C						0x332
#define IF_MOUSE_M						0x333
#define IF_MOUSE_X1						0x334
#define IF_MOUSE_X2						0x335

#define IF_WINPRIORITY					0x350

#define IF_SKINPATH						0x503
#define IF_SKINNO						0x500
#define IF_SKIN0						0x501
#define IF_SKIN1						0x502
#define IF_ALLKEYS						0x505
#define IF_ALLKEYS_WARNING				0x506
#define IF_ALLKEYS_WARNING2				0x507

#define SKIN_CLASS FOURCC('R','S','K','N')


#endif